[3.3] Problem mit Update von 3.2.8 auf 3.3

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Lizardx
Mitglied
Beiträge: 212
Registriert: 20.05.2006 18:35

[3.3] Problem mit Update von 3.2.8 auf 3.3

Beitrag von Lizardx »

Hallo, wollte heute mein phpBB Forum von 3.2.8 auf 3.3 updaten, mit dieser Zip Datei von phpBB -> "phpBB-3.2.8-deutsch_to_3.3.2-deutsch"

Habe den install-Ordner hochgeladen, die Schreibrechte entsprechend nach Anleitung gesetzt und wenn ich dann das Forum mit dem install-Ordner aufrufe, erhalte ich sofort diese Fehlermeldung:

General Error
General Error:
Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with Twig\Lexer::tokenize($code, $name = NULL)
in file /home/www/doc/8531/domain.de/www/forum/install/update/new/phpbb/template/twig/lexer.php on line 16


Wer kann helfen?
Benutzeravatar
chris1278
Mitglied
Beiträge: 2216
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [3.3] Problem mit Update von 3.2.8 auf 3.3

Beitrag von chris1278 »

Lade dir hier das Komplettpaket deutsch herunter:

Komplett Paket 3.3.2 Deutsch

Danach gehe nach dieser Anleitung vor:

phpBB 3.3: Update von phpBB 3.2.x auf phpBB 3.3.x

Empfehlen würde ich dir die Methode II. Manuelles Update

MFG
Lizardx
Mitglied
Beiträge: 212
Registriert: 20.05.2006 18:35

Re: [3.3] Problem mit Update von 3.2.8 auf 3.3

Beitrag von Lizardx »

Danke, hat soweit geklappt. Das einzige was jetzt nicht funktioniert ist das Bestätigen der Nutzungsbedingungen. Ich hatte dazu eine Erweiterung von tas2580 installiert. Kann mir jemand eine andere Erweiterung dafür empfehlen?
Benutzeravatar
chris1278
Mitglied
Beiträge: 2216
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [3.3] Problem mit Update von 3.2.8 auf 3.3

Beitrag von chris1278 »

Schau mal die hier an:

viewtopic.php?f=149&t=233993
Lizardx
Mitglied
Beiträge: 212
Registriert: 20.05.2006 18:35

Re: [3.3] Problem mit Update von 3.2.8 auf 3.3

Beitrag von Lizardx »

Danke für den Link.

Ich habe nun ein anderes Forum ebenfalls von 2.8 auf 3.3 updaten wollen. Bin strikt nach der Anleitung aus #2 vorgegangen. Alle Arbeitsschritte beim Update waren erfolgreich. Nach der Datenbank-Aktualisierung habe ich den Install Ordner sofort gelöscht. Danach bekomme ich eine 500 Error Meldung beim Aufruf des Forums und die Seite ist komplett leer.

Danach habe ich den Install Ordner erneut hochgeladen. Dann kann ich das Forum auf der Startseite sehen, aber es ist deaktiviert und ich kann mich nicht einloggen. Browsercache und Cookies sind gelöscht.

Danach habe ich den Install Ordner wieder gelöscht und die Seite wieder total weiß ohne Inhalt.

Meine Error Logs sehen so aus:

Code: Alles auswählen

2021-01-05 20:46:32.009859] [cgi:error] www.domain.com 77.8.250.0:52113 AH01215: Stack trace:: /usr/local/php/bin/php-cgi
[2021-01-05 20:46:32.010209] [cgi:error] www.domain.com 77.8.250.0:52113 AH01215: #0 /home/www/doc/8531/domain.com/www/forum/cache/production/container_4335734bbdd20f586549a504dff5f80c.php(3400): phpbb_cache_container->getPhpbb_Viglink_HelperService(): /usr/local/php/bin/php-cgi
[2021-01-05 20:46:32.010489] [cgi:error] www.domain.com 77.8.250.0:52113 AH01215: #1 /home/www/doc/8531/domain.com/www/forum/vendor/symfony/dependency-injection/Container.php(306): phpbb_cache_container->getPhpbb_Viglink_Cron_Task_ViglinkService(): /usr/local/php/bin/php-cgi
[2021-01-05 20:46:32.010729] [cgi:error] www.domain.com 77.8.250.0:52113 AH01215: #2 /home/www/doc/8531/domain.com/www/forum/phpbb/di/service_collection.php(57): Symfony\\Component\\DependencyInjection\\Container->get('phpbb.viglink.c...'): /usr/local/php/bin/php-cgi
[2021-01-05 20:46:32.010980] [cgi:error] www.domain.com 77.8.250.0:52113 AH01215: #3 /home/www/doc/8531/domain.com/www/forum/phpbb/di/service_collection_iterator.php(44): phpbb\\di\\service_collection->offsetGet('phpbb.viglink.c...'): /usr/local/php/bin/php-cgi
[2021-01-05 20:46:32.011214] [cgi:error] www.domain.com 77.8.250.0:52113 AH01215: #4 /home/www/doc/8531/domain.com/www/forum/phpbb/cron/manager.php(88): phpbb\\di\\service_collection_iterator->current(): /usr/local/php/bin/php-cgi
[2021-01-05 20:46:32.011563] [cgi:error] www.domain.com 77.8.250.0:52113 AH01215: #5 /home/www/doc/8531/domain.com/www/forum/p in /home/www/doc/8531/domain.com/www/forum/cache/production/container_4335734bbdd20f586549a504dff5f80c.php on line 3414: /usr/local/php/bin/php-cgi

Kann bitte jmd helfen?
Benutzeravatar
Mike-on-Tour
Junior Supporter
Beiträge: 287
Registriert: 13.01.2020 21:09

Re: [3.3] Problem mit Update von 3.2.8 auf 3.3

Beitrag von Mike-on-Tour »

Das sieht so aus, als würde mit der viglink-Extension etwas nicht stimmen. Hast du die ggf. vorher aktiviert gehabt und beim Installieren gelöscht? Dann sind noch irgendwo Spuren, weil sie nicht deaktiviert und die Arbeitsdaten nicht gelöscht wurden.
Wenn es das nicht war, müssen wir weitersuchen.
Lizardx
Mitglied
Beiträge: 212
Registriert: 20.05.2006 18:35

Re: [3.3] Problem mit Update von 3.2.8 auf 3.3

Beitrag von Lizardx »

Das Problem müsste an den Erweiterungen liegen. Kann man diese auch deinstallieren oder nur löschen? Ich sehe im Adminbereich nur den Lösch-Button.

Selbst wenn ich vor dem Update jede Erweiterung deaktiviere, habe ich Fehlermeldungen zu den Erweiterungen.
Benutzeravatar
Mike-on-Tour
Junior Supporter
Beiträge: 287
Registriert: 13.01.2020 21:09

Re: [3.3] Problem mit Update von 3.2.8 auf 3.3

Beitrag von Mike-on-Tour »

Die Empfehlung ist, vor einem Update/Upgrade alle Extensions zu deaktivieren (das ist im ACP die erste mögliche Aktion bei aktiven Extensions). Nach dem Update/Upgrade sollten die Extensions dann einzeln wieder aktiviert werden, um zu prüfn, ob sie alle den ggf. geänderten Anforderungen der neuen phpBB-Version entsprechen.

Löschen kann man im ACP nur die Arbeitsdaten (von deaktivierten Extensions) und das MUSS gemacht werden, bevor die Dateien einer nicht mehr gewünschten Extension per FTP gelöscht werden, sonst gibt es richtig Mecker von phpBB.

Wenn du also im ACP (Admin-Bereich) etwas mit Löschen siehst, ist das der Button zum Löschen der Arbeitsdaten. Damit ist die betreffende Extension erstmal aus allen Bereichen von phpBB draußen und sollte, weil quasi unbekannt, keine Fehler mehr verursachen.
Du kannst jetzt nacheinander die Arbeitsdaten der deaktivierten Extensions löschen und schauen, ob der Fehler weg ist. Dabei aber bitte beachten, dass dabei natürlich auch alle Tabelleneinträge, Daten zu Benutzern u.ä., die durch diese Extension gespeichert wurden, gelöscht sind - für den Fall, dass du diese Extension in einer neueren Version noch weiter nutzen möchtest, fängst du dann bei Null wieder an.
Benutzeravatar
chris1278
Mitglied
Beiträge: 2216
Registriert: 12.11.2007 06:20
Wohnort: Euskirchen
Kontaktdaten:

Re: [3.3] Problem mit Update von 3.2.8 auf 3.3

Beitrag von chris1278 »

Also folgende2 Lösungsvorschlage:

Öffne dein PhpMyAdmin (dieses erreichst du in der Regel dort in deinem Server Backend wo du auch die Einstellungen deines Webspace Konfigurierst und Datenbanken erstellen kannst).

Vorschlag 1:

Im PhpMyAdmin suchst du in der rechten Seitenhälfte und in der oberen Zeile auf SQL

https://prnt.sc/wi6kjr

Sieh das Bild an dort musst du in der Linken Seite (Pfeil 3 im Bild) die Tabelle auswählen, die dein Forum nutzt. Im Normalfall stehen dort nicht so viele. Sondern nur die eine die du nutzt. Wenn du auf die Tabelle dann darauf klickst, sollte sich im Rechten Bild, deren Inhalt laden, also Tabellen die etwa so aufgebaut sind: (hier setze ich die Annahme voraus das du bei Installation den Standard Präfix phpbb_ genommen hast, ansonsten steht das deinpräfix_name)

phpbb_name1...
phpbb_name2...
usw.

Das kannst du ignorieren. Suche dort die Tabelle phpbb_ext und klicke einfach auf den Namen phpbb_ext. Dann sollte sich das Fenster öffnen.

Nun suche den Eintrag, den du deaktivieren möchtest. Wenn ich der Fehler wie von Mike-on-Tour beschrieben wird an der viglink Extension liegt dann suche den Eintrag wo unter EXT/nmae folgendes Steht: phpbb/viglink.

In der Zeile steht links daneben einmal das Wort "bearbeiten" dort drauf klicken.

In der Nachfolgenden Ansicht suchst du änderst du den Wert in der Zeile ext_active tinyint(1) unsigned entsprechend. Wobei 0 für deaktiviert steht und 1für aktiviert. Da dort normalerweise eine 1 steht ersetzt du die 1 durch eine 0.

Danach auf OK drücken fertig. Damit hast du die Extension Viglink deaktiviert. Danach Foren und Browser Cache leer machen und die Seite laden. Nun solltest du wieder ins Admin-Kontrollzentrum kommen und kannst die Arbeitsdaten der Extension löschen.

Sollte das nicht funktioniert haben hier Vorschlag nummer 2:

Gehe wieder in dein PhpMyAdmin und wähle die Tabelle aus.

Danach suche in der Oberen Zeile den Begriff SQL (Pfeil 1 im Bild) und klicke auf selbigen. Achte darauf das im Rechten block oben (Pfeil 2 im Bild) der name deiner Datenbank steht.

Gib nun folgenden Befehl in die Box ein:

Update phpbb_ext set ext_active = 0

Damit werden sämtliche Extensions in deinem Forum deaktiviert.

Danach wieder Browser und Forencache löschen und dein Forum neu laden.
69bruno
Mitglied
Beiträge: 195
Registriert: 05.06.2020 08:21

Re: [3.3] Problem mit Update von 3.2.8 auf 3.3

Beitrag von 69bruno »

Mit

Code: Alles auswählen

Update phpbb_ext set ext_active = 0 where ext_name = phpbb/viglink
kannst du per sql-abfrage auch nur viglink deaktivieren.
Forum: cruiser-lounge.de
PHPBB-Version: 3.3.2
Debian-Linux 10
PHP-Version: 7.3.14
Apache-Sever-Version: 2.4.38
MySQL-Version 10.3.22
Antworten

Zurück zu „Support-Forum“